.box {
  gap: 30px;
}
.surveywrap {
  display: flex;
  gap: 20px;
  flex-direction: column;
  padding: 0 4px;
}
.container {
  position: fixed;
  bottom: 20px;
  left: 20px;
  top: auto;
  right: auto;
  z-index: 1;
  background-color: var(--bg);
  padding: 16px;
  border-radius: var(--radiusmedium);
  box-shadow: var(--shadow);
  margin: 0px;
  width: 300px;
  display: flex;
  flex-direction: column;
}
.closebtn {
  position: absolute;
  top: 16px;
  right: 16px;
  width: 20px;
  height: 20px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}
.closebtn::before,
.closebtn::after {
  content: "";
  position: absolute;
  width: 16px;
  height: 2px;
  background-color: var(--text);
}
.closebtn::before {
  transform: rotate(45deg);
}
.closebtn::after {
  transform: rotate(-45deg);
}
.closebtn:hover::before,
.closebtn:hover::after {
  background-color: var(--red);
}
.rating-container {
  margin: 20px 0;
}
.star-rating {
  display: flex;
  gap: 8px;
  align-items: center;
  justify-content: center;
}
.star-rating:hover .star path {
  fill: var(--gray200);
}

.star:hover path,
.star:has(~ .star:hover) path {
  fill: var(--yellow) !important;
}
.star path {
  transition: fill 0.15s ease-in-out;
}
h4 {
  margin: 0 0 0 4px;
}